if IsAddOnLoaded("DiscordActionBars") then

	local function DAB_Buttons_UpdateCountList(add)
		for i = 1, 120 do
			local name = "DAB_ActionButton_"..i
			local button = getglobal(name)
			-- ltc:Print(name, button)
			if button and button:IsVisible() then
				local id = button:GetActionID()
				local frame = getglobal(name.."_Count")
				if id and frame then
					add(frame, "action", id)
				end
			end
		end
	end
	
	function ltc:DAB_ActionButton_UpdateCount()
		local frame = getglobal(this:GetName().."_Count")
		local info = self:GetCountList()[frame]
		if info then
			self:UpdateCount (frame, info)
		else
			self.hooks.DAB_ActionButton_UpdateCount ()
		end
	end
	ltc:Hook("DAB_ActionButton_UpdateCount")

	ltc:RegisterPlugin(DAB_Buttons_UpdateCountList)
end
